




<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Marca
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento Interno</li>
				<li class="breadcrumb-item" >Catalogo</li>
				<li class="breadcrumb-item active">Marca</li>
            </ol>
          </div>
		</div>
	</div>
</div>



<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="marca_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>	
					
					<form enctype="multipart/form-data" title="Subir formato lleno de informacion"  class="formulario bg-red float-right" id="formularioarchivo" style="padding:0px;" >
						<input id="file_archivo" type="file" name="file_archivo" class="" >	
					</form>	
					<small id="msj_imporcompra" class="ui-state-highlight ui-corner-all" style="width:auto; float:right; padding:7.8px; display:none"></small>	
		       
			   
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>

		<!-- formulario de registro -->
			<div class="modal fade" id="div_marca_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-content">
			<div class="modal-body div_marca_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		<div id="div_marca_tabla" ></div>

<script type="text/javascript">
 $("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fas fa-file-excel\"></i>",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);
	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../marca/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			$("#msj_imporcompra").html('Procesando el archivo subido...');	
			$("#msj_imporcompra").show();	
        },
		success: function(rpt){
			
		$("#msj_imporcompra").hide();	
			
		},
		complete: function(){			
			marca_tabla();
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
});
	
function marca_tabla()
{	
	$.ajax({
		type: "POST",
		url: "../marca/marca_tabla.php",
		async:true,
		dataType: "html",                      
		data: ({
			//pro_est:	$('#cmb_fil_pro_est').val()
		}),
		beforeSend: function() {
			$('#div_marca_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_marca_tabla').html(html);
		},
		complete: function(){			
			$('#div_marca_tabla').removeClass("ui-state-disabled");
		}
	});     
}
function marca_form(act,idf)
{
	$('#div_marca_form_dialog').modal();
	$.ajax({
		type: "POST",
		url: "../marca/marca_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			mar_id:	idf,
			vista:	'marca'
		}),
		beforeSend: function() {
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			$('.div_marca_form').html(div);
        },
		success: function(html){
			$('.div_marca_form').html(html);			
		}
	});
}
function eliminar_marca(id)
{   
	$('#msj_marca').hide();   
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../marca/marca_reg.php",
			async:true,
			dataType: "html",
			data: ({
				action: "eliminar",
				id:		id
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				toastr["success"](html);
			},
			complete: function(){
				marca_tabla();
			}
		});
	}
}
//
$(function() {
	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../marca/marca_vista.php");
	});
	$("#div_marca_form_dialog").on('hidden.bs.modal', function(){
          //	$("#content").load("../marca/marca_vista.php");
		});
		
	marca_tabla(); 
	setTitle("MARCA - "+nombreEmpresa);
});
</script>